/*
 * @Date: 2022-02-14 15:18:50
 * @LastEditors: JinxChen
 * @LastEditTime: 2022-03-04 10:50:22
 * @FilePath: \AntpayFrontEnd\src\api\alipay.js
 * @description: axios封装
 */
import request from '../http/request';

export const APIAlipay = {
    getGoodsDetails, //首页获取商品数据
    getAlipayForm, // 调起支付宝收银台
    getAlipayResult, //获取支付结果
};
export default APIAlipay;

// post请求
function getGoodsDetails(goodsNo) {
    return request({
        url: '/api/get/goods',
        method: 'get',
        params: {
            goodsNo
        },
    });
}

function getAlipayForm(params) {
    return request({
        url: '/webpage/alipay',
        method: 'post',
        data: params,
    });
}

function getAlipayResult(params) {
    return request({
        url: '/api/order/detail/callback',
        method: 'post',
        data: params,
    });
}

// get请求 示例
/* function getPolygonFence(serialNo) {
    return request({
        url: '/api/Geofence/GetPolygonFence',
        method: 'get',
        headers: { AuthKey: 'key1' },
        params: { serialNo },
    })
} */